Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1055832 - can not see seabios GUI when boot with 155 virtio-blk-pci disks via pci-bridge
Summary: can not see seabios GUI when boot with 155 virtio-blk-pci disks via pci-bridge
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: seabios
Version: 7.0
Hardware: x86_64
OS: Linux
medium
medium
Target Milestone: rc
: ---
Assignee: Gerd Hoffmann
QA Contact: Virtualization Bugs
URL:
Whiteboard:
: 987322 1056354 (view as bug list)
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-01-21 03:37 UTC by Jun Li
Modified: 2019-03-26 15:15 UTC (History)
11 users (show)

Fixed In Version: seabios-1.7.2.2-11.el7
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2014-06-13 12:50:22 UTC
Target Upstream Version:


Attachments (Terms of Use)
when boot with pci-bridge test on latest version (deleted)
2014-02-08 06:48 UTC, langfang
no flags Details
the log of test on latest version (deleted)
2014-02-08 06:50 UTC, langfang
no flags Details

Description Jun Li 2014-01-21 03:37:25 UTC
Description of problem:
when boot with virtio-blk-pci disks more than 155 via pci-bridge, can not see seabios GUI. 
When add seabios debug, could got "ERROR: queue size 65535 > 128", and then will reboot and so on. qemu-kvm can not entry in seabios GUI.
So this issue is different with bug 1003535. 
When add virtio-blk-pci disks <= 124 via pci-bridge, will hit bug 1003535.

Version-Release number of selected component (if applicable):
seabios-1.7.2.2-10.el7.x86_64
seabios-bin-1.7.2.2-10.el7.x86_64
qemu-kvm-rhev-1.5.3-37.el7.x86_64

How reproducible:
always

Steps to Reproduce:
1.boot guest with shell script max_bridge_device.sh.
# sh max_bridge_device.sh  155
---
# cat max_bridge_device.sh 
#!/bin/sh

MACHINE=pc-i440fx-rhel7.0.0
MEM=100G
IMG=/home/juli/rhel7_64.raw

CLI="/usr/libexec/qemu-kvm -vga none -net none -M $MACHINE -smp 4,core=2,thread=2,socket=1 -m $MEM -name vm1 -vnc :1 -monitor stdio -device pci-bridge,chassis_nr=1,id=bridge0,addr=0x02 -drive file=$IMG,if=none,id=hd,format=raw,werror=stop,rerror=stop -device virtio-blk-pci,scsi=off,drive=hd,id=os-disk,bus=bridge0,addr=0x01,bootindex=1 -serial unix:/tmp/bridge-con,server,nowait -boot menu=on,reboot-timeout=10 -bios /usr/share/seabios/bios-256k.bin -chardev stdio,id=log -device isa-debugcon,iobase=0x402,chardev=log"

while [ ${i:=1} -lt ${1:-0} ]
do
    createBr=$((i%31))
    bridgeId=$((i/31))
    slotId=$((i%31+1))
    if [ $createBr -eq 0 ]
    then
        CLI="$CLI -device pci-bridge,chassis_nr=$((bridgeId+1)),id=bridge$bridgeId,addr=0x$(printf "%02x" $((bridgeId+2)))"
    fi
    CLI="$CLI -drive file=/home/disk/disk$i,if=none,id=disk$i"
    CLI="$CLI -device virtio-blk-pci,bus=bridge$bridgeId,drive=disk$i,id=blk$i,addr=0x$(printf "%02x" $slotId)"
    ((i++))
done

$CLI

---

Actual results:
qemu-kvm will reboot again and again, and give error just like the following:
...
PCI: init bdf=05:1d.0 id=1af4:1001
PCI: init bdf=05:1e.0 id=1af4:1001
PCI: init bdf=05:1f.0 id=1af4:1001
Found 4 cpu(s) max supported 4 cpu(s)
MP table addr=0x000fda00 MPC table addr=0x000fda10 size=1588
SMBIOS ptr=0x000fd9e0 table=0xdffffce0 size=797
Scan for VGA option rom
Found 0 lpt ports
Found 1 serial ports
Searching bootorder for: /pci@i0cf8/isa@1/fdc@03f0/floppy@0
ATA controller 1 at 1f0/3f4/0 (irq 14 dev 9)
ATA controller 2 at 170/374/0 (irq 15 dev 9)
found virtio-blk at 1:1
ERROR: queue size is 0
fail to find vq for virtio-blk 1:1
found virtio-blk at 1:2
ERROR: queue size 65535 > 128
fail to find vq for virtio-blk 1:2
found virtio-blk at 1:3
In resume (status=0)
Attempting a hard reboot
Start bios (version seabios-1.7.2.2-10.el7)
Ram Size=0xe0000000 (0x0000001820000000 high)
Relocating low data from 0x000e4140 to 0x000ef780 (size 2161)
Relocating init from 0x000e49b1 to 0xdffe2e30 (size 53415)
CPU Mhz=2418
=== PCI bus & bridge init ===
PCI: pci_bios_init_bus_rec bus = 0x0
PCI: pci_bios_init_bus_rec bdf = 0x10
...

Expected results:
can see the seabios GUI. Or if seabios can not support so many devices, qemu-kvm will give an error message and forbid booting.

Additional info:

Comment 2 Gerd Hoffmann 2014-01-23 15:06:09 UTC
We are running out of I/O address space, and seabios doesn't catch it.

http://www.seabios.org/pipermail/seabios/2014-January/007573.html

Comment 3 Gerd Hoffmann 2014-01-23 15:07:32 UTC
*** Bug 1056354 has been marked as a duplicate of this bug. ***

Comment 4 Gerd Hoffmann 2014-01-27 15:37:31 UTC
patches posted.

Comment 5 Vlad Yasevich 2014-01-29 18:00:28 UTC
*** Bug 987322 has been marked as a duplicate of this bug. ***

Comment 6 Miroslav Rezanina 2014-02-05 11:42:23 UTC
Fix included in seabios-1.7.2.2-11.el7

Comment 8 langfang 2014-02-08 06:45:42 UTC
Reproduce this bug as follow version:
HOst
# uname -r
3.10.0-79.el7.x86_64
# rpm -q qemu-kvm
qemu-kvm-1.5.3-37.el7.x86_64
seabios-1.7.2.2-10.el7.x86_64

Steps:
1)boot guest with CLI like Comment0
2)#sh max_bridge_device.sh  155

Results:Guest can boot 
...
PCI: init bdf=05:1c.0 id=1af4:1001
PCI: init bdf=05:1d.0 id=1af4:1001
PCI: init bdf=05:1e.0 id=1af4:1001
PCI: init bdf=05:1f.0 id=1af4:1001
Found 4 cpu(s) max supported 4 cpu(s)
MP table addr=0x000fda00 MPC table addr=0x000fda10 size=1588
SMBIOS ptr=0x000fd9e0 table=0x000f1860 size=497
Scan for VGA option rom
Found 0 lpt ports
Found 1 serial ports
Searching bootorder for: /pci@i0cf8/isa@1/fdc@03f0/floppy@0
ATA controller 1 at 1f0/3f4/0 (irq 14 dev 9)
ATA controller 2 at 170/374/0 (irq 15 dev 9)
found virtio-blk at 1:1
ERROR: queue size is 0
fail to find vq for virtio-blk 1:1
found virtio-blk at 1:2
ERROR: queue size 65535 > 128
fail to find vq for virtio-blk 1:2
found virtio-blk at 1:3
In resume (status=0)
In 32bit resume
Attempting a hard reboot
Start bios (version seabios-1.7.2.2-10.el7)
Ram Size=0xe0000000 (0x0000000020000000 high)
Relocating low data from 0x000e4140 to 0x000ef780 (size 2161)
Relocating init from 0x000e49b1 to 0xdffe2e30 (size 53415)
CPU Mhz=2819
=== PCI bus & bridge init ===
PCI: pci_bios_init_bus_rec bus = 0x0
PCI: pci_bios_init_bus_rec bdf = 0x10
PCI: primary bus = 0x0
PCI: secondary bus = 0xff -> 0x1
PCI: pci_bios_init_bus_rec bus = 0x1
PCI: subordinate bus = 0x0 -> 0x1
PCI: pci_bios_init_bus_rec bdf = 0x18
PCI: primary bus = 0x0
PCI: secondary bus = 0xff -> 0x2
PCI: pci_bios_init_bus_rec bus = 0x2
....

On latest version:

# uname -r
3.10.0-79.el7.x86_64
# rpm -q qemu-kvm
qemu-kvm-1.5.3-45.el7.x86_64
# rpm -q seabios
seabios-1.7.2.2-11.el7.x86_64

Steps as same as reproduce

Results:


Not hit the reproduce problem,but guest can't boot up,not show any error info,the  seabios GUI still can't see(please see attachment).

Hi,Gerd 
    Please help me to see .

thanks

Comment 9 langfang 2014-02-08 06:48:09 UTC
Created attachment 860828 [details]
when boot with pci-bridge test on latest version

Comment 10 langfang 2014-02-08 06:50:46 UTC
Created attachment 860829 [details]
the log of test on latest version

Comment 11 Jun Li 2014-02-10 03:26:26 UTC
reproduce this bug:
Version-Release number of selected component (if applicable):
seabios-bin-1.7.2.2-10.el7.x86_64
qemu-kvm-1.5.3-41.el7.x86_64
3.10.0-79.el7.x86_64
---
Boot guest with the following script:
# sh max_bridge_device.sh 155
# cat max_bridge_device.sh 
#!/bin/sh

MACHINE=pc-i440fx-rhel7.0.0
MEM=10G
IMG=/home/juli/rhel7.0.qcow2-bak

CLI="/usr/libexec/qemu-kvm -vga none -net none -M $MACHINE -smp 4,core=2,thread=2,socket=1 -m $MEM -name vm1 -vnc :1 -monitor stdio -device pci-bridge,chassis_nr=1,id=bridge0,addr=0x02 -drive file=$IMG,if=none,id=hd,format=qcow2,werror=stop,rerror=stop -device virtio-blk-pci,scsi=off,drive=hd,id=os-disk,bus=bridge0,addr=0x01,bootindex=1 -serial unix:/tmp/bridge-con,server,nowait -boot menu=on,reboot-timeout=10 -bios /usr/share/seabios/bios-256k.bin -chardev stdio,id=log -device isa-debugcon,iobase=0x402,chardev=log"

while [ ${i:=1} -lt ${1:-0} ];
do
    createBr=$((i%31))
    bridgeId=$((i/31))
    slotId=$((i%31+1))
    if [ $createBr -eq 0 ]
    then
        CLI="$CLI -device pci-bridge,chassis_nr=$((bridgeId+1)),id=bridge$bridgeId,addr=0x$(printf "%02x" $((bridgeId+2)))"
    fi 
    CLI="$CLI -drive file=/home/disk/disk$i,if=none,id=disk$i"
    CLI="$CLI -device virtio-blk-pci,bus=bridge$bridgeId,drive=disk$i,id=blk$i,addr=0x$(printf "%02x" $slotId)"
    ((i++))
done

$CLI
------
Actual result:
...
PCI: init bdf=05:03.0 id=1af4:1001
PCI: init bdf=05:04.0 id=1af4:1001
PCI: init bdf=05:05.0 id=1af4:1001
PCI: init bdf=05:06.0 id=1af4:1001
PCI: init bdf=05:07.0 id=1af4:1001
PCI: init bdf=05:08.0 id=1af4:1001
PCI: init bdf=05:09.0 id=1af4:1001
PCI: init bdf=05:0a.0 id=1af4:1001
PCI: init bdf=05:0b.0 id=1af4:1001
PCI: init bdf=05:0c.0 id=1af4:1001
PCI: init bdf=05:0d.0 id=1af4:1001
PCI: init bdf=05:0e.0 id=1af4:1001
PCI: init bdf=05:0f.0 id=1af4:1001
PCI: init bdf=05:10.0 id=1af4:1001
PCI: init bdf=05:11.0 id=1af4:1001
PCI: init bdf=05:12.0 id=1af4:1001
PCI: init bdf=05:13.0 id=1af4:1001
PCI: init bdf=05:14.0 id=1af4:1001
PCI: init bdf=05:15.0 id=1af4:1001
PCI: init bdf=05:16.0 id=1af4:1001
PCI: init bdf=05:17.0 id=1af4:1001
PCI: init bdf=05:18.0 id=1af4:1001
PCI: init bdf=05:19.0 id=1af4:1001
PCI: init bdf=05:1a.0 id=1af4:1001
PCI: init bdf=05:1b.0 id=1af4:1001
PCI: init bdf=05:1c.0 id=1af4:1001
PCI: init bdf=05:1d.0 id=1af4:1001
PCI: init bdf=05:1e.0 id=1af4:1001
PCI: init bdf=05:1f.0 id=1af4:1001
Found 4 cpu(s) max supported 4 cpu(s)
MP table addr=0x000fda00 MPC table addr=0x000fda10 size=1588
SMBIOS ptr=0x000fd9e0 table=0x000f1860 size=497
Scan for VGA option rom
Found 0 lpt ports
Found 1 serial ports
Searching bootorder for: /pci@i0cf8/isa@1/fdc@03f0/floppy@0
ATA controller 1 at 1f0/3f4/0 (irq 14 dev 9)
ATA controller 2 at 170/374/0 (irq 15 dev 9)
found virtio-blk at 1:1
ERROR: queue size is 0
fail to find vq for virtio-blk 1:1
found virtio-blk at 1:2
ERROR: queue size 65535 > 128
fail to find vq for virtio-blk 1:2
found virtio-blk at 1:3
In resume (status=0)
In 32bit resume
Attempting a hard reboot
Start bios (version seabios-1.7.2.2-10.el7)
Ram Size=0xe0000000 (0x00000001a0000000 high)
Relocating low data from 0x000e4140 to 0x000ef780 (size 2161)
Relocating init from 0x000e49b1 to 0xdffe2e30 (size 53415)
CPU Mhz=3396
=== PCI bus & bridge init ===
PCI: pci_bios_init_bus_rec bus = 0x0
PCI: pci_bios_init_bus_rec bdf = 0x10
PCI: primary bus = 0x0
PCI: secondary bus = 0xff -> 0x1
PCI: pci_bios_init_bus_rec bus = 0x1
PCI: subordinate bus = 0x0 -> 0x1
PCI: pci_bios_init_bus_rec bdf = 0x18
PCI: primary bus = 0x0
PCI: secondary bus = 0xff -> 0x2
PCI: pci_bios_init_bus_rec bus = 0x2
PCI: subordinate bus = 0x0 -> 0x2
PCI: pci_bios_init_bus_rec bdf = 0x20
PCI: primary bus = 0x0
PCI: secondary bus = 0xff -> 0x3
PCI: pci_bios_init_bus_rec bus = 0x3
PCI: subordinate bus = 0x0 -> 0x3
PCI: pci_bios_init_bus_rec bdf = 0x28
PCI: primary bus = 0x0
PCI: secondary bus = 0xff -> 0x4
PCI: pci_bios_init_bus_rec bus = 0x4
PCI: subordinate bus = 0x0 -> 0x4
PCI: pci_bios_init_bus_rec bdf = 0x30
PCI: primary bus = 0x0
PCI: secondary bus = 0xff -> 0x5
PCI: pci_bios_init_bus_rec bus = 0x5
PCI: subordinate bus = 0x0 -> 0x5
=== PCI device probing ===
Found 164 PCI devices (max PCI bus is 05)
=== PCI new allocation pass #1 ===
PCI: check devices
PCI: secondary bus 5 size 00001000 type io
PCI: secondary bus 5 size 00100000 type mem
PCI: secondary bus 5 size 00000000 type prefmem
PCI: secondary bus 4 size 00001000 type io
PCI: secondary bus 4 size 00100000 type mem
PCI: secondary bus 4 size 00000000 type prefmem
PCI: secondary bus 3 size 00001000 type io
PCI: secondary bus 3 size 00100000 type mem
PCI: secondary bus 3 size 00000000 type prefmem
PCI: secondary bus 2 size 00001000 type io
PCI: secondary bus 2 size 00100000 type mem
PCI: secondary bus 2 size 00000000 type prefmem
PCI: secondary bus 1 size 00001000 type io
PCI: secondary bus 1 size 00100000 type mem
PCI: secondary bus 1 size 00000000 type prefmem
=== PCI new allocation pass #2 ===
PCI: map device bdf=00:01.1  bar 4, addr 00011000, size 00000010 [io]
PCI: map device bdf=00:02.0  bar 0, addr feb00000, size 00001000 [mem]
PCI: map device bdf=00:03.0  bar 0, addr feb01000, size 00001000 [mem]
PCI: map device bdf=00:04.0  bar 0, addr feb02000, size 00001000 [mem]
PCI: map device bdf=00:05.0  bar 0, addr feb03000, size 00001000 [mem]
PCI: map device bdf=00:06.0  bar 0, addr feb04000, size 00001000 [mem]
PCI: map device bdf=01:01.0  bar 0, addr 00010000, size 00000040 [io]
PCI: map device bdf=01:02.0  bar 0, addr 00010040, size 00000040 [io]
PCI: map device bdf=01:03.0  bar 0, addr 00010080, size 00000040 [io]
PCI: map device bdf=01:04.0  bar 0, addr 000100c0, size 00000040 [io]
PCI: map device bdf=01:05.0  bar 0, addr 00010100, size 00000040 [io]
PCI: map device bdf=01:06.0  bar 0, addr 00010140, size 00000040 [io]
PCI: map device bdf=01:07.0  bar 0, addr 00010180, size 00000040 [io]
PCI: map device bdf=01:08.0  bar 0, addr 000101c0, size 00000040 [io]
PCI: map device bdf=01:09.0  bar 0, addr 00010200, size 00000040 [io]
PCI: map device bdf=01:0a.0  bar 0, addr 00010240, size 00000040 [io]
PCI: map device bdf=01:0b.0  bar 0, addr 00010280, size 00000040 [io]
PCI: map device bdf=01:0c.0  bar 0, addr 000102c0, size 00000040 [io]
PCI: map device bdf=01:0d.0  bar 0, addr 00010300, size 00000040 [io]
PCI: map device bdf=01:0e.0  bar 0, addr 00010340, size 00000040 [io]
PCI: map device bdf=01:0f.0  bar 0, addr 00010380, size 00000040 [io]
PCI: map device bdf=01:10.0  bar 0, addr 000103c0, size 00000040 [io]
PCI: map device bdf=01:11.0  bar 0, addr 00010400, size 00000040 [io]
PCI: map device bdf=01:12.0  bar 0, addr 00010440, size 00000040 [io]
PCI: map device bdf=01:13.0  bar 0, addr 00010480, size 00000040 [io]
PCI: map device bdf=01:14.0  bar 0, addr 000104c0, size 00000040 [io]
PCI: map device bdf=01:15.0  bar 0, addr 00010500, size 00000040 [io]
PCI: map device bdf=01:16.0  bar 0, addr 00010540, size 00000040 [io]
PCI: map device bdf=01:17.0  bar 0, addr 00010580, size 00000040 [io]
PCI: map device bdf=01:18.0  bar 0, addr 000105c0, size 00000040 [io]
PCI: map device bdf=01:19.0  bar 0, addr 00010600, size 00000040 [io]
PCI: map device bdf=01:1a.0  bar 0, addr 00010640, size 00000040 [io]
PCI: map device bdf=01:1b.0  bar 0, addr 00010680, size 00000040 [io]
PCI: map device bdf=01:1c.0  bar 0, addr 000106c0, size 00000040 [io]
PCI: map device bdf=01:1d.0  bar 0, addr 00010700, size 00000040 [io]
PCI: map device bdf=01:1e.0  bar 0, addr 00010740, size 00000040 [io]
PCI: map device bdf=01:1f.0  bar 0, addr 00010780, size 00000040 [io]
PCI: map device bdf=01:01.0  bar 1, addr fea00000, size 00001000 [mem]
PCI: map device bdf=01:02.0  bar 1, addr fea01000, size 00001000 [mem]
PCI: map device bdf=01:03.0  bar 1, addr fea02000, size 00001000 [mem]
PCI: map device bdf=01:04.0  bar 1, addr fea03000, size 00001000 [mem]
PCI: map device bdf=01:05.0  bar 1, addr fea04000, size 00001000 [mem]
PCI: map device bdf=01:06.0  bar 1, addr fea05000, size 00001000 [mem]
PCI: map device bdf=01:07.0  bar 1, addr fea06000, size 00001000 [mem]
PCI: map device bdf=01:08.0  bar 1, addr fea07000, size 00001000 [mem]
PCI: map device bdf=01:09.0  bar 1, addr fea08000, size 00001000 [mem]
PCI: map device bdf=01:0a.0  bar 1, addr fea09000, size 00001000 [mem]
PCI: map device bdf=01:0b.0  bar 1, addr fea0a000, size 00001000 [mem]
PCI: map device bdf=01:0c.0  bar 1, addr fea0b000, size 00001000 [mem]
PCI: map device bdf=01:0d.0  bar 1, addr fea0c000, size 00001000 [mem]
PCI: map device bdf=01:0e.0  bar 1, addr fea0d000, size 00001000 [mem]
PCI: map device bdf=01:0f.0  bar 1, addr fea0e000, size 00001000 [mem]
PCI: map device bdf=01:10.0  bar 1, addr fea0f000, size 00001000 [mem]
PCI: map device bdf=01:11.0  bar 1, addr fea10000, size 00001000 [mem]
PCI: map device bdf=01:12.0  bar 1, addr fea11000, size 00001000 [mem]
PCI: map device bdf=01:13.0  bar 1, addr fea12000, size 00001000 [mem]
PCI: map device bdf=01:14.0  bar 1, addr fea13000, size 00001000 [mem]
PCI: map device bdf=01:15.0  bar 1, addr fea14000, size 00001000 [mem]
PCI: map device bdf=01:16.0  bar 1, addr fea15000, size 00001000 [mem]
PCI: map device bdf=01:17.0  bar 1, addr fea16000, size 00001000 [mem]
PCI: map device bdf=01:18.0  bar 1, addr fea17000, size 00001000 [mem]
PCI: map device bdf=01:19.0  bar 1, addr fea18000, size 00001000 [mem]
PCI: map device bdf=01:1a.0  bar 1, addr fea19000, size 00001000 [mem]
PCI: map device bdf=01:1b.0  bar 1, addr fea1a000, size 00001000 [mem]
PCI: map device bdf=01:1c.0  bar 1, addr fea1b000, size 00001000 [mem]
PCI: map device bdf=01:1d.0  bar 1, addr fea1c000, size 00001000 [mem]
PCI: map device bdf=01:1e.0  bar 1, addr fea1d000, size 00001000 [mem]
PCI: map device bdf=01:1f.0  bar 1, addr fea1e000, size 00001000 [mem]
PCI: map device bdf=02:01.0  bar 0, addr 0000f000, size 00000040 [io]
PCI: map device bdf=02:02.0  bar 0, addr 0000f040, size 00000040 [io]
PCI: map device bdf=02:03.0  bar 0, addr 0000f080, size 00000040 [io]
PCI: map device bdf=02:04.0  bar 0, addr 0000f0c0, size 00000040 [io]
PCI: map device bdf=02:05.0  bar 0, addr 0000f100, size 00000040 [io]
PCI: map device bdf=02:06.0  bar 0, addr 0000f140, size 00000040 [io]
PCI: map device bdf=02:07.0  bar 0, addr 0000f180, size 00000040 [io]
PCI: map device bdf=02:08.0  bar 0, addr 0000f1c0, size 00000040 [io]
PCI: map device bdf=02:09.0  bar 0, addr 0000f200, size 00000040 [io]
PCI: map device bdf=02:0a.0  bar 0, addr 0000f240, size 00000040 [io]
PCI: map device bdf=02:0b.0  bar 0, addr 0000f280, size 00000040 [io]
PCI: map device bdf=02:0c.0  bar 0, addr 0000f2c0, size 00000040 [io]
PCI: map device bdf=02:0d.0  bar 0, addr 0000f300, size 00000040 [io]
PCI: map device bdf=02:0e.0  bar 0, addr 0000f340, size 00000040 [io]
PCI: map device bdf=02:0f.0  bar 0, addr 0000f380, size 00000040 [io]
PCI: map device bdf=02:10.0  bar 0, addr 0000f3c0, size 00000040 [io]
PCI: map device bdf=02:11.0  bar 0, addr 0000f400, size 00000040 [io]
PCI: map device bdf=02:12.0  bar 0, addr 0000f440, size 00000040 [io]
PCI: map device bdf=02:13.0  bar 0, addr 0000f480, size 00000040 [io]
PCI: map device bdf=02:14.0  bar 0, addr 0000f4c0, size 00000040 [io]
PCI: map device bdf=02:15.0  bar 0, addr 0000f500, size 00000040 [io]
PCI: map device bdf=02:16.0  bar 0, addr 0000f540, size 00000040 [io]
PCI: map device bdf=02:17.0  bar 0, addr 0000f580, size 00000040 [io]
PCI: map device bdf=02:18.0  bar 0, addr 0000f5c0, size 00000040 [io]
PCI: map device bdf=02:19.0  bar 0, addr 0000f600, size 00000040 [io]
PCI: map device bdf=02:1a.0  bar 0, addr 0000f640, size 00000040 [io]
PCI: map device bdf=02:1b.0  bar 0, addr 0000f680, size 00000040 [io]
PCI: map device bdf=02:1c.0  bar 0, addr 0000f6c0, size 00000040 [io]
PCI: map device bdf=02:1d.0  bar 0, addr 0000f700, size 00000040 [io]
PCI: map device bdf=02:1e.0  bar 0, addr 0000f740, size 00000040 [io]
PCI: map device bdf=02:1f.0  bar 0, addr 0000f780, size 00000040 [io]
PCI: map device bdf=02:01.0  bar 1, addr fe900000, size 00001000 [mem]
PCI: map device bdf=02:02.0  bar 1, addr fe901000, size 00001000 [mem]
PCI: map device bdf=02:03.0  bar 1, addr fe902000, size 00001000 [mem]
PCI: map device bdf=02:04.0  bar 1, addr fe903000, size 00001000 [mem]
PCI: map device bdf=02:05.0  bar 1, addr fe904000, size 00001000 [mem]
PCI: map device bdf=02:06.0  bar 1, addr fe905000, size 00001000 [mem]
PCI: map device bdf=02:07.0  bar 1, addr fe906000, size 00001000 [mem]
PCI: map device bdf=02:08.0  bar 1, addr fe907000, size 00001000 [mem]
PCI: map device bdf=02:09.0  bar 1, addr fe908000, size 00001000 [mem]
PCI: map device bdf=02:0a.0  bar 1, addr fe909000, size 00001000 [mem]
PCI: map device bdf=02:0b.0  bar 1, addr fe90a000, size 00001000 [mem]
PCI: map device bdf=02:0c.0  bar 1, addr fe90b000, size 00001000 [mem]
PCI: map device bdf=02:0d.0  bar 1, addr fe90c000, size 00001000 [mem]
PCI: map device bdf=02:0e.0  bar 1, addr fe90d000, size 00001000 [mem]
PCI: map device bdf=02:0f.0  bar 1, addr fe90e000, size 00001000 [mem]
PCI: map device bdf=02:10.0  bar 1, addr fe90f000, size 00001000 [mem]
PCI: map device bdf=02:11.0  bar 1, addr fe910000, size 00001000 [mem]
PCI: map device bdf=02:12.0  bar 1, addr fe911000, size 00001000 [mem]
PCI: map device bdf=02:13.0  bar 1, addr fe912000, size 00001000 [mem]
PCI: map device bdf=02:14.0  bar 1, addr fe913000, size 00001000 [mem]
PCI: map device bdf=02:15.0  bar 1, addr fe914000, size 00001000 [mem]
PCI: map device bdf=02:16.0  bar 1, addr fe915000, size 00001000 [mem]
PCI: map device bdf=02:17.0  bar 1, addr fe916000, size 00001000 [mem]
PCI: map device bdf=02:18.0  bar 1, addr fe917000, size 00001000 [mem]
PCI: map device bdf=02:19.0  bar 1, addr fe918000, size 00001000 [mem]
PCI: map device bdf=02:1a.0  bar 1, addr fe919000, size 00001000 [mem]
PCI: map device bdf=02:1b.0  bar 1, addr fe91a000, size 00001000 [mem]
PCI: map device bdf=02:1c.0  bar 1, addr fe91b000, size 00001000 [mem]
PCI: map device bdf=02:1d.0  bar 1, addr fe91c000, size 00001000 [mem]
PCI: map device bdf=02:1e.0  bar 1, addr fe91d000, size 00001000 [mem]
PCI: map device bdf=02:1f.0  bar 1, addr fe91e000, size 00001000 [mem]
PCI: map device bdf=03:01.0  bar 0, addr 0000e000, size 00000040 [io]
PCI: map device bdf=03:02.0  bar 0, addr 0000e040, size 00000040 [io]
PCI: map device bdf=03:03.0  bar 0, addr 0000e080, size 00000040 [io]
PCI: map device bdf=03:04.0  bar 0, addr 0000e0c0, size 00000040 [io]
PCI: map device bdf=03:05.0  bar 0, addr 0000e100, size 00000040 [io]
PCI: map device bdf=03:06.0  bar 0, addr 0000e140, size 00000040 [io]
PCI: map device bdf=03:07.0  bar 0, addr 0000e180, size 00000040 [io]
PCI: map device bdf=03:08.0  bar 0, addr 0000e1c0, size 00000040 [io]
PCI: map device bdf=03:09.0  bar 0, addr 0000e200, size 00000040 [io]
PCI: map device bdf=03:0a.0  bar 0, addr 0000e240, size 00000040 [io]
PCI: map device bdf=03:0b.0  bar 0, addr 0000e280, size 00000040 [io]
PCI: map device bdf=03:0c.0  bar 0, addr 0000e2c0, size 00000040 [io]
PCI: map device bdf=03:0d.0  bar 0, addr 0000e300, size 00000040 [io]
PCI: map device bdf=03:0e.0  bar 0, addr 0000e340, size 00000040 [io]
PCI: map device bdf=03:0f.0  bar 0, addr 0000e380, size 00000040 [io]
PCI: map device bdf=03:10.0  bar 0, addr 0000e3c0, size 00000040 [io]
PCI: map device bdf=03:11.0  bar 0, addr 0000e400, size 00000040 [io]
PCI: map device bdf=03:12.0  bar 0, addr 0000e440, size 00000040 [io]
PCI: map device bdf=03:13.0  bar 0, addr 0000e480, size 00000040 [io]
PCI: map device bdf=03:14.0  bar 0, addr 0000e4c0, size 00000040 [io]
PCI: map device bdf=03:15.0  bar 0, addr 0000e500, size 00000040 [io]
PCI: map device bdf=03:16.0  bar 0, addr 0000e540, size 00000040 [io]
PCI: map device bdf=03:17.0  bar 0, addr 0000e580, size 00000040 [io]
PCI: map device bdf=03:18.0  bar 0, addr 0000e5c0, size 00000040 [io]
PCI: map device bdf=03:19.0  bar 0, addr 0000e600, size 00000040 [io]
PCI: map device bdf=03:1a.0  bar 0, addr 0000e640, size 00000040 [io]
PCI: map device bdf=03:1b.0  bar 0, addr 0000e680, size 00000040 [io]
PCI: map device bdf=03:1c.0  bar 0, addr 0000e6c0, size 00000040 [io]
PCI: map device bdf=03:1d.0  bar 0, addr 0000e700, size 00000040 [io]
PCI: map device bdf=03:1e.0  bar 0, addr 0000e740, size 00000040 [io]
PCI: map device bdf=03:1f.0  bar 0, addr 0000e780, size 00000040 [io]
PCI: map device bdf=03:01.0  bar 1, addr fe800000, size 00001000 [mem]
PCI: map device bdf=03:02.0  bar 1, addr fe801000, size 00001000 [mem]
PCI: map device bdf=03:03.0  bar 1, addr fe802000, size 00001000 [mem]
PCI: map device bdf=03:04.0  bar 1, addr fe803000, size 00001000 [mem]
PCI: map device bdf=03:05.0  bar 1, addr fe804000, size 00001000 [mem]
PCI: map device bdf=03:06.0  bar 1, addr fe805000, size 00001000 [mem]
PCI: map device bdf=03:07.0  bar 1, addr fe806000, size 00001000 [mem]
PCI: map device bdf=03:08.0  bar 1, addr fe807000, size 00001000 [mem]
PCI: map device bdf=03:09.0  bar 1, addr fe808000, size 00001000 [mem]
PCI: map device bdf=03:0a.0  bar 1, addr fe809000, size 00001000 [mem]
PCI: map device bdf=03:0b.0  bar 1, addr fe80a000, size 00001000 [mem]
PCI: map device bdf=03:0c.0  bar 1, addr fe80b000, size 00001000 [mem]
PCI: map device bdf=03:0d.0  bar 1, addr fe80c000, size 00001000 [mem]
PCI: map device bdf=03:0e.0  bar 1, addr fe80d000, size 00001000 [mem]
PCI: map device bdf=03:0f.0  bar 1, addr fe80e000, size 00001000 [mem]
PCI: map device bdf=03:10.0  bar 1, addr fe80f000, size 00001000 [mem]
PCI: map device bdf=03:11.0  bar 1, addr fe810000, size 00001000 [mem]
PCI: map device bdf=03:12.0  bar 1, addr fe811000, size 00001000 [mem]
PCI: map device bdf=03:13.0  bar 1, addr fe812000, size 00001000 [mem]
PCI: map device bdf=03:14.0  bar 1, addr fe813000, size 00001000 [mem]
PCI: map device bdf=03:15.0  bar 1, addr fe814000, size 00001000 [mem]
PCI: map device bdf=03:16.0  bar 1, addr fe815000, size 00001000 [mem]
PCI: map device bdf=03:17.0  bar 1, addr fe816000, size 00001000 [mem]
PCI: map device bdf=03:18.0  bar 1, addr fe817000, size 00001000 [mem]
PCI: map device bdf=03:19.0  bar 1, addr fe818000, size 00001000 [mem]
PCI: map device bdf=03:1a.0  bar 1, addr fe819000, size 00001000 [mem]
PCI: map device bdf=03:1b.0  bar 1, addr fe81a000, size 00001000 [mem]
PCI: map device bdf=03:1c.0  bar 1, addr fe81b000, size 00001000 [mem]
PCI: map device bdf=03:1d.0  bar 1, addr fe81c000, size 00001000 [mem]
PCI: map device bdf=03:1e.0  bar 1, addr fe81d000, size 00001000 [mem]
PCI: map device bdf=03:1f.0  bar 1, addr fe81e000, size 00001000 [mem]
PCI: map device bdf=04:01.0  bar 0, addr 0000d000, size 00000040 [io]
PCI: map device bdf=04:02.0  bar 0, addr 0000d040, size 00000040 [io]
PCI: map device bdf=04:03.0  bar 0, addr 0000d080, size 00000040 [io]
PCI: map device bdf=04:04.0  bar 0, addr 0000d0c0, size 00000040 [io]
PCI: map device bdf=04:05.0  bar 0, addr 0000d100, size 00000040 [io]
PCI: map device bdf=04:06.0  bar 0, addr 0000d140, size 00000040 [io]
PCI: map device bdf=04:07.0  bar 0, addr 0000d180, size 00000040 [io]
PCI: map device bdf=04:08.0  bar 0, addr 0000d1c0, size 00000040 [io]
PCI: map device bdf=04:09.0  bar 0, addr 0000d200, size 00000040 [io]
PCI: map device bdf=04:0a.0  bar 0, addr 0000d240, size 00000040 [io]
PCI: map device bdf=04:0b.0  bar 0, addr 0000d280, size 00000040 [io]
PCI: map device bdf=04:0c.0  bar 0, addr 0000d2c0, size 00000040 [io]
PCI: map device bdf=04:0d.0  bar 0, addr 0000d300, size 00000040 [io]
PCI: map device bdf=04:0e.0  bar 0, addr 0000d340, size 00000040 [io]
PCI: map device bdf=04:0f.0  bar 0, addr 0000d380, size 00000040 [io]
PCI: map device bdf=04:10.0  bar 0, addr 0000d3c0, size 00000040 [io]
PCI: map device bdf=04:11.0  bar 0, addr 0000d400, size 00000040 [io]
PCI: map device bdf=04:12.0  bar 0, addr 0000d440, size 00000040 [io]
PCI: map device bdf=04:13.0  bar 0, addr 0000d480, size 00000040 [io]
PCI: map device bdf=04:14.0  bar 0, addr 0000d4c0, size 00000040 [io]
PCI: map device bdf=04:15.0  bar 0, addr 0000d500, size 00000040 [io]
PCI: map device bdf=04:16.0  bar 0, addr 0000d540, size 00000040 [io]
PCI: map device bdf=04:17.0  bar 0, addr 0000d580, size 00000040 [io]
PCI: map device bdf=04:18.0  bar 0, addr 0000d5c0, size 00000040 [io]
PCI: map device bdf=04:19.0  bar 0, addr 0000d600, size 00000040 [io]
PCI: map device bdf=04:1a.0  bar 0, addr 0000d640, size 00000040 [io]
PCI: map device bdf=04:1b.0  bar 0, addr 0000d680, size 00000040 [io]
PCI: map device bdf=04:1c.0  bar 0, addr 0000d6c0, size 00000040 [io]
PCI: map device bdf=04:1d.0  bar 0, addr 0000d700, size 00000040 [io]
PCI: map device bdf=04:1e.0  bar 0, addr 0000d740, size 00000040 [io]
PCI: map device bdf=04:1f.0  bar 0, addr 0000d780, size 00000040 [io]
PCI: map device bdf=04:01.0  bar 1, addr fe700000, size 00001000 [mem]
PCI: map device bdf=04:02.0  bar 1, addr fe701000, size 00001000 [mem]
PCI: map device bdf=04:03.0  bar 1, addr fe702000, size 00001000 [mem]
PCI: map device bdf=04:04.0  bar 1, addr fe703000, size 00001000 [mem]
PCI: map device bdf=04:05.0  bar 1, addr fe704000, size 00001000 [mem]
PCI: map device bdf=04:06.0  bar 1, addr fe705000, size 00001000 [mem]
PCI: map device bdf=04:07.0  bar 1, addr fe706000, size 00001000 [mem]
PCI: map device bdf=04:08.0  bar 1, addr fe707000, size 00001000 [mem]
PCI: map device bdf=04:09.0  bar 1, addr fe708000, size 00001000 [mem]
PCI: map device bdf=04:0a.0  bar 1, addr fe709000, size 00001000 [mem]
PCI: map device bdf=04:0b.0  bar 1, addr fe70a000, size 00001000 [mem]
PCI: map device bdf=04:0c.0  bar 1, addr fe70b000, size 00001000 [mem]
PCI: map device bdf=04:0d.0  bar 1, addr fe70c000, size 00001000 [mem]
PCI: map device bdf=04:0e.0  bar 1, addr fe70d000, size 00001000 [mem]
PCI: map device bdf=04:0f.0  bar 1, addr fe70e000, size 00001000 [mem]
PCI: map device bdf=04:10.0  bar 1, addr fe70f000, size 00001000 [mem]
PCI: map device bdf=04:11.0  bar 1, addr fe710000, size 00001000 [mem]
PCI: map device bdf=04:12.0  bar 1, addr fe711000, size 00001000 [mem]
PCI: map device bdf=04:13.0  bar 1, addr fe712000, size 00001000 [mem]
PCI: map device bdf=04:14.0  bar 1, addr fe713000, size 00001000 [mem]
PCI: map device bdf=04:15.0  bar 1, addr fe714000, size 00001000 [mem]
PCI: map device bdf=04:16.0  bar 1, addr fe715000, size 00001000 [mem]
PCI: map device bdf=04:17.0  bar 1, addr fe716000, size 00001000 [mem]
PCI: map device bdf=04:18.0  bar 1, addr fe717000, size 00001000 [mem]
PCI: map device bdf=04:19.0  bar 1, addr fe718000, size 00001000 [mem]
PCI: map device bdf=04:1a.0  bar 1, addr fe719000, size 00001000 [mem]
PCI: map device bdf=04:1b.0  bar 1, addr fe71a000, size 00001000 [mem]
PCI: map device bdf=04:1c.0  bar 1, addr fe71b000, size 00001000 [mem]
PCI: map device bdf=04:1d.0  bar 1, addr fe71c000, size 00001000 [mem]
PCI: map device bdf=04:1e.0  bar 1, addr fe71d000, size 00001000 [mem]
PCI: map device bdf=04:1f.0  bar 1, addr fe71e000, size 00001000 [mem]
PCI: map device bdf=05:01.0  bar 0, addr 0000c000, size 00000040 [io]
PCI: map device bdf=05:02.0  bar 0, addr 0000c040, size 00000040 [io]
PCI: map device bdf=05:03.0  bar 0, addr 0000c080, size 00000040 [io]
PCI: map device bdf=05:04.0  bar 0, addr 0000c0c0, size 00000040 [io]
PCI: map device bdf=05:05.0  bar 0, addr 0000c100, size 00000040 [io]
PCI: map device bdf=05:06.0  bar 0, addr 0000c140, size 00000040 [io]
PCI: map device bdf=05:07.0  bar 0, addr 0000c180, size 00000040 [io]
PCI: map device bdf=05:08.0  bar 0, addr 0000c1c0, size 00000040 [io]
PCI: map device bdf=05:09.0  bar 0, addr 0000c200, size 00000040 [io]
PCI: map device bdf=05:0a.0  bar 0, addr 0000c240, size 00000040 [io]
PCI: map device bdf=05:0b.0  bar 0, addr 0000c280, size 00000040 [io]
PCI: map device bdf=05:0c.0  bar 0, addr 0000c2c0, size 00000040 [io]
PCI: map device bdf=05:0d.0  bar 0, addr 0000c300, size 00000040 [io]
PCI: map device bdf=05:0e.0  bar 0, addr 0000c340, size 00000040 [io]
PCI: map device bdf=05:0f.0  bar 0, addr 0000c380, size 00000040 [io]
PCI: map device bdf=05:10.0  bar 0, addr 0000c3c0, size 00000040 [io]
PCI: map device bdf=05:11.0  bar 0, addr 0000c400, size 00000040 [io]
PCI: map device bdf=05:12.0  bar 0, addr 0000c440, size 00000040 [io]
PCI: map device bdf=05:13.0  bar 0, addr 0000c480, size 00000040 [io]
PCI: map device bdf=05:14.0  bar 0, addr 0000c4c0, size 00000040 [io]
PCI: map device bdf=05:15.0  bar 0, addr 0000c500, size 00000040 [io]
PCI: map device bdf=05:16.0  bar 0, addr 0000c540, size 00000040 [io]
PCI: map device bdf=05:17.0  bar 0, addr 0000c580, size 00000040 [io]
PCI: map device bdf=05:18.0  bar 0, addr 0000c5c0, size 00000040 [io]
PCI: map device bdf=05:19.0  bar 0, addr 0000c600, size 00000040 [io]
PCI: map device bdf=05:1a.0  bar 0, addr 0000c640, size 00000040 [io]
PCI: map device bdf=05:1b.0  bar 0, addr 0000c680, size 00000040 [io]
PCI: map device bdf=05:1c.0  bar 0, addr 0000c6c0, size 00000040 [io]
PCI: map device bdf=05:1d.0  bar 0, addr 0000c700, size 00000040 [io]
PCI: map device bdf=05:1e.0  bar 0, addr 0000c740, size 00000040 [io]
PCI: map device bdf=05:1f.0  bar 0, addr 0000c780, size 00000040 [io]
PCI: map device bdf=05:01.0  bar 1, addr fe600000, size 00001000 [mem]
PCI: map device bdf=05:02.0  bar 1, addr fe601000, size 00001000 [mem]
PCI: map device bdf=05:03.0  bar 1, addr fe602000, size 00001000 [mem]
PCI: map device bdf=05:04.0  bar 1, addr fe603000, size 00001000 [mem]
PCI: map device bdf=05:05.0  bar 1, addr fe604000, size 00001000 [mem]
PCI: map device bdf=05:06.0  bar 1, addr fe605000, size 00001000 [mem]
PCI: map device bdf=05:07.0  bar 1, addr fe606000, size 00001000 [mem]
PCI: map device bdf=05:08.0  bar 1, addr fe607000, size 00001000 [mem]
PCI: map device bdf=05:09.0  bar 1, addr fe608000, size 00001000 [mem]
PCI: map device bdf=05:0a.0  bar 1, addr fe609000, size 00001000 [mem]
PCI: map device bdf=05:0b.0  bar 1, addr fe60a000, size 00001000 [mem]
PCI: map device bdf=05:0c.0  bar 1, addr fe60b000, size 00001000 [mem]
PCI: map device bdf=05:0d.0  bar 1, addr fe60c000, size 00001000 [mem]
PCI: map device bdf=05:0e.0  bar 1, addr fe60d000, size 00001000 [mem]
PCI: map device bdf=05:0f.0  bar 1, addr fe60e000, size 00001000 [mem]
PCI: map device bdf=05:10.0  bar 1, addr fe60f000, size 00001000 [mem]
PCI: map device bdf=05:11.0  bar 1, addr fe610000, size 00001000 [mem]
PCI: map device bdf=05:12.0  bar 1, addr fe611000, size 00001000 [mem]
PCI: map device bdf=05:13.0  bar 1, addr fe612000, size 00001000 [mem]
PCI: map device bdf=05:14.0  bar 1, addr fe613000, size 00001000 [mem]
PCI: map device bdf=05:15.0  bar 1, addr fe614000, size 00001000 [mem]
PCI: map device bdf=05:16.0  bar 1, addr fe615000, size 00001000 [mem]
PCI: map device bdf=05:17.0  bar 1, addr fe616000, size 00001000 [mem]
PCI: map device bdf=05:18.0  bar 1, addr fe617000, size 00001000 [mem]
PCI: map device bdf=05:19.0  bar 1, addr fe618000, size 00001000 [mem]
PCI: map device bdf=05:1a.0  bar 1, addr fe619000, size 00001000 [mem]
PCI: map device bdf=05:1b.0  bar 1, addr fe61a000, size 00001000 [mem]
PCI: map device bdf=05:1c.0  bar 1, addr fe61b000, size 00001000 [mem]
PCI: map device bdf=05:1d.0  bar 1, addr fe61c000, size 00001000 [mem]
PCI: map device bdf=05:1e.0  bar 1, addr fe61d000, size 00001000 [mem]
PCI: map device bdf=05:1f.0  bar 1, addr fe61e000, size 00001000 [mem]
PCI: init bdf=00:00.0 id=8086:1237
PCI: init bdf=00:01.0 id=8086:7000
PIIX3/PIIX4 init: elcr=00 0c
PCI: init bdf=00:01.1 id=8086:7010
PCI: init bdf=00:01.3 id=8086:7113
Using pmtimer, ioport 0xb008, freq 3579 kHz
PCI: init bdf=00:02.0 id=1b36:0001
PCI: init bdf=00:03.0 id=1b36:0001
PCI: init bdf=00:04.0 id=1b36:0001
PCI: init bdf=00:05.0 id=1b36:0001
PCI: init bdf=00:06.0 id=1b36:0001
PCI: init bdf=01:01.0 id=1af4:1001
PCI: init bdf=01:02.0 id=1af4:1001
PCI: init bdf=01:03.0 id=1af4:1001
PCI: init bdf=01:04.0 id=1af4:1001
PCI: init bdf=01:05.0 id=1af4:1001
PCI: init bdf=01:06.0 id=1af4:1001
PCI: init bdf=01:07.0 id=1af4:1001
PCI: init bdf=01:08.0 id=1af4:1001
PCI: init bdf=01:09.0 id=1af4:1001
...
-------
Based on above test, this bug has been reproduced.

Comment 12 Gerd Hoffmann 2014-02-17 08:38:10 UTC
> Start bios (version seabios-1.7.2.2-10.el7)

> Based on above test, this bug has been reproduced.

That isn't the fixed build (seabios-1.7.2.2-11.el7).

Comment 13 langfang 2014-02-18 03:19:22 UTC
(In reply to Gerd Hoffmann from comment #12)
> > Start bios (version seabios-1.7.2.2-10.el7)
> 
> > Based on above test, this bug has been reproduced.
> 
> That isn't the fixed build (seabios-1.7.2.2-11.el7).


Hi, Gerd 
    yes ,the fixed version is seabios-1.7.2.2-11.el7.But test on fixed version still have little problem, please help me see comment8.

thanks 
fang lang

Comment 14 Gerd Hoffmann 2014-02-18 10:31:43 UTC
  Hi,

> Not hit the reproduce problem,but guest can't boot up,not show any error
> info,the  seabios GUI still can't see(please see attachment).

Initial report says "-vga none".  Without vga there is no device seabios can display the ui on.  Use '-vga std' or '-vga cirrus'.

Comment 15 langfang 2014-02-19 06:49:40 UTC
(In reply to Gerd Hoffmann from comment #14)
>   Hi,
> 
> > Not hit the reproduce problem,but guest can't boot up,not show any error
> > info,the  seabios GUI still can't see(please see attachment).
> 
> Initial report says "-vga none".  Without vga there is no device seabios can
> display the ui on.  Use '-vga std' or '-vga cirrus'.

Hi,Gerd
  thanks for your reminder. Verify this bug again.

Version:
# uname -r
3.10.0-86.el7.x86_64
# rpm -q qemu-kvm
qemu-kvm-1.5.3-48.el7.x86_64
# rpm -q seabios
seabios-1.7.2.2-11.el7.x86_64

Steps:
1.Boot guest
Steps to Reproduce:
1.Boot guest with shell script max_bridge_device.sh.
#sh max_bridge_device.sh  155
...
# cat max_bridge_device.sh 
#!/bin/sh

MACHINE=pc-i440fx-rhel7.0.0
MEM=4G
IMG=/home/RHEL-Server-7.0-64.qcow2

CLI="/usr/libexec/qemu-kvm -vga none -net none -M $MACHINE -smp 4,core=2,thread=2,socket=1 -m $MEM -name vm1 -vnc :1 -vga qxl -monitor stdio -device pci-bridge,chassis_nr=1,id=bridge0,addr=0x08 -drive file=$IMG,if=none,id=hd,format=qcow2,werror=stop,rerror=stop -device virtio-blk-pci,scsi=off,drive=hd,id=os-disk,bus=bridge0,addr=0x01,bootindex=1 -serial unix:/tmp/bridge-con,server,nowait -boot menu=on,reboot-timeout=10 -monitor stdio"

while [ ${i:=1} -lt ${1:-0} ]
do
    createBr=$((i%31))
    bridgeId=$((i/31))
    slotId=$((i%31+1))
    if [ $createBr -eq 0 ]
    then
        CLI="$CLI -device pci-bridge,chassis_nr=$((bridgeId+1)),id=bridge$bridgeId,addr=0x$(printf "%02x" $((bridgeId+2)))"
    fi
    CLI="$CLI -drive file=/home/disk/disk$i,if=none,id=disk$i"
    CLI="$CLI -device virtio-blk-pci,bus=bridge$bridgeId,drive=disk$i,id=blk$i,addr=0x$(printf "%02x" $slotId)"
    ((i++))
done

$CLI

Results:
will show seabios GUI,but will hit  "Bug 1066788 - Can't boot from the system img when boot guest with 38 virtio-blk-pci disks via pci-bridge"
 
Addtional test:
1)Test the senario of duplicate bug987322  fail to boot guest when attach more than 4 devices to the same pcie switch --->will show seabios GUI and guest boot successfully(the ClI use comment2)

2)Test the senario of duplicate Bug 1056354 - seabios can not recognize system disk with more than 1 downstream--->will show seabios GUI and guest boot successfully(the CLI use comment0)

Hi,Gerd
  Could you help me to see , could we can verify this bug ?

thanks 
fang lang

Comment 16 Gerd Hoffmann 2014-02-19 10:10:48 UTC
Bug 1066788 is a different issue (most likely related to seabios running out of memory).  So, yes, the bug is verified.

Comment 18 Ludek Smid 2014-06-13 12:50:22 UTC
This request was resolved in Red Hat Enterprise Linux 7.0.

Contact your manager or support representative in case you have further questions about the request.


Note You need to log in before you can comment on or make changes to this bug.